Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrBackground Class Reference

A Pango background color C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrBackground:

List of all members.

## Public Member Functions

Constructors

- AttrBackground (unsigned short red, unsigned short green, unsigned short blue)
    Construct a new background color attribute.

## Detailed Description

A Pango background color C++ wrapper class.

AttrBackground wraps the background color attribute (ATTR_FOREGROUND).

## Constructor & Destructor Documentation

Xfc::Pango::AttrBackground::AttrBackground | ( | unsigned short | red,
|  | unsigned short | green,
|  | unsigned short | blue
| ) |

Construct a new background color attribute.

Parameters:

  | red | The red value (ranging from 0 to 65535).
  | green | The green value.
  | blue | The blue value.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3